#
# spec file for package xscavenger (Version 142)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xscavenger
Copyright:    Dave Ashley <dash@xdr.com>
Group:        X11/Games
Provides:     xscaveng
Obsoletes:    xscaveng
Autoreqprov:  on
Version:      142
Release:      98
Summary:      Scavenger - a Lode Runner Clone
Source:       xscavenger-%{version}.tar.bz2
URL: http://www.xdr.com/dash/scavenger.html

%description
Scavenger is like Lode Runner. You've got to run around gathering objects
while avoiding enemies. You can dig down through some of the blocks to get
at buried objects. After you've collected everything, ladders may appear.
To finish the level you've got to exit through the top of the screen. If
an enemy falls into a dug brick, he is stunned for a while. If the brick
fills in with him in it, he is killed, and he will reappear at the top of
the screen.
This version has a level editor for designing your own levels, and a
graphics editor for drawing your own artwork.

Authors:
--------
    David Ashley <dash@xdr.com>

SuSE series: fun

%prep
%setup -n xscavenger-%{version}

%build
cd src
cp scavenger.6 scavenger.man
xmkmf
make

%install
cd src
make install
make install.man

%files
%doc CREDITS DOC INSTALL README TODO changelog copyright
/usr/X11R6/bin/scavenger
/usr/X11R6/lib/X11/scavenger
%doc /usr/X11R6/man/man1/scavenger.1x.gz

%changelog -n xscavenger
* Tue Jun 19 2001 - ro@suse.de
- fixed to build and addeed manpage
* Wed May 02 2001 - freitag@suse.de
- added Oboletes and provides on old package xscaveng to spec-file.
* Mon Apr 02 2001 - freitag@suse.de
- update to V 1.42 and source as bzip2-ball now
* Tue Mar 07 2000 - freitag@suse.de
- Fixed wrong file list
* Mon Feb 28 2000 - freitag@suse.de
- update to V 140 and Group Tags
* Thu Dec 16 1999 - freitag@suse.de
- initial version 138
